/home/travis/build/boostorg/boost/boost/geometry/algorithms/detail/relation/interface.hpp File Reference

## Classes

struct | boost::geometry::resolve_variant::relation< Geometry1, Geometry2 >
struct | boost::geometry::resolve_variant::relation< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)>, Geometry2 >
struct | boost::geometry::resolve_variant::relation< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)>, Geometry2 >::visitor< Matrix >
struct | boost::geometry::resolve_variant::relation< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T1)>, boost::variant< BOOST_VARIANT_ENUM_PARAMS(T2)> >
struct | boost::geometry::resolve_variant::relation< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T1)>, boost::variant< BOOST_VARIANT_ENUM_PARAMS(T2)> >::visitor< Matrix >
struct | boost::geometry::resolve_variant::relation< Geometry1, boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >
struct | boost::geometry::resolve_variant::relation< Geometry1, boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< Matrix >

## Namespaces

namespace | boost
namespace | boost::geometry
namespace | boost::geometry::resolve_variant

## Functions

template<typename Geometry1 , typename Geometry2 >
de9im::matrix | boost::geometry::relation (Geometry1 const &geometry1, Geometry2 const &geometry2)
| Calculates the relation between a pair of geometries as defined in DE-9IM.

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK